package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.BusMerchantAgreement;
import org.dromara.payment.merchant.domain.vo.BusMerchantAgreementVo;
import org.dromara.payment.merchant.domain.bo.BusMerchantAgreementBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 商户协议Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IBusMerchantAgreementService {

    /**
     * 查询商户协议
     */
    BusMerchantAgreementVo queryById(Long id);

    /**
     * 查询商户协议列表
     */
    TableDataInfo<BusMerchantAgreementVo> queryPageList(BusMerchantAgreementBo bo, PageQuery pageQuery);

    /**
     * 查询商户协议列表
     */
    List<BusMerchantAgreementVo> queryList(BusMerchantAgreementBo bo);

    /**
     * 新增商户协议
     */
    Boolean insertByBo(BusMerchantAgreementBo bo);

    /**
     * 修改商户协议
     */
    Boolean updateByBo(BusMerchantAgreementBo bo);

    /**
     * 校验并批量删除商户协议信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
